#include "update_index.h"

void update_index( Index     & index,
                   ch_string      url,
                   StringSet   words,
                   bool      & ok )
{
    try {
        while( ! words.empty() ) {
            ch_string word = words.getAny() ;
            // Add a new word to the index
            // Oops. Overwrote existing words with same URL!
            StringSet fNameSet ;
            fNameSet.insert( url ) ;
            index.add( word, fNameSet ) ; }

            words.remove( word ) ; }
        ok = true ;
    }
    catch( StringSet::SpaceException & ) {
        ok = false ; }
    catch( Index::SpaceException & ) {
        ok = false ; }
}
